Bug 294104 - Contact applet should allow sending email even when contact is offline
Summary: Contact applet should allow sending email even when contact is offline
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contact-applet (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-14 21:37 UTC by Omar Plummer
Modified: 2013-06-18 17:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Omar Plummer 2012-02-14 21:37:07 UTC
Version:           git-latest (using Devel) 
OS:                Linux

When a contact is marked as offline, their associated contact applet becomes completely disabled and doesnt respond to mouseclicks, preventing me being able to send them an email (which shouldn't be affected by them being offline).

Reproducible: Always

Steps to Reproduce:
1. Click on the contact applet of an offline contact

Actual Results:  
Nothing happens (applet is completely disabled), even for right-click.

Expected Results:  
Left click should pop up the "action buttons" as it does with online contacts, but with just the "send email" button enabled.

Right click should at least allow me to configure the applet (possibly for re-assigning the applet to a new contact)
Comment 1 Martin Klapetek 2012-02-18 11:48:52 UTC
This feature is indeed present, but it is implemented incorrectly. In fact, it works only with GTalk and as such shouldn't be present with different accounts at all. 

I propose to fix this in the nearest release by hiding that button and restoring it once we have system-wide contact merging. Objections?
Comment 2 Omar Plummer 2012-02-20 19:18:44 UTC
Biased as I am towards keeping/fixing it (seeing as 90% of my contacts are on GTalk, I suppose it makes more sense to disable it for now. 

In the meantime, I'll be digging through the code (when the time is available) to see if I can figure out what makes it break for other accounts and how to implement it properly, and try to learn the Telepathy architecture at the same time. Any pointers, docs, suggestions that might help with this are more than welcome.
Comment 3 Martin Klapetek 2012-02-20 19:40:21 UTC
We will be more than happy to welcome you and help working on Telepathy (we have lots of junior-jobs), just don't waste time on this one (if you don't want to get your hands dirty with Nepomuk ;)

The thing is that there are pretty much only three account types where user id is actually email address. That is GTalk, Yahoo! Messenger and probably MSN. All the rest, including simple Jabber/XMPP, does not provide user's email address. It's simple - for example ICQ has UIN in form of 9 digits. There is no way you can email that friend without knowing his email.

So my advice is - don't waste your time on this. We know all about it and are working on it. If you want to work on this, which includes KDE PIM and Nepomuk, send me a private mail and I'll get you on track. Otherwise join our mailing list (kde-telepathy@kde.org) or our irc channel #kde-telepathy and we'll get you started on other tasks, where we need help.
Comment 4 Daniel Vrátil 2013-06-18 17:18:29 UTC
Git commit c220f541171909c41a2fbe25a75e12c3e7a45458 by Dan Vrátil.
Committed on 18/06/2013 at 19:17.
Pushed by dvratil into branch 'master'.

Make it possible to send email from contact applet even when contact is offline

Slightly changes behavior of the applet: the avatar is always clickable, but the
individual actions are enabled only when online (except for the "send mail" action,
which is enabled all the time)

REVIEW: 111095
FIXED-IN: 0.7.0

M  +0    -17   contact/src/declarative/contents/ui/Avatar.qml
M  +2    -0    contact/src/declarative/contents/ui/Contact.qml
M  +12   -0    contact/src/declarative/contents/ui/DropDownMenu.qml

http://commits.kde.org/telepathy-contact-applet/c220f541171909c41a2fbe25a75e12c3e7a45458